Skip to content

Aritma IAM API (0)

An API for interacting with the identity and access management system of Aritma.

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/platform/iam/openapi/iam-openapi
IAM API (0)
https://api.dev.aritma.io/core/iam

Actions

Actions related to IAM actions

Operations

Client

Actions related to clients in Aritma ID

Operations

Domains

Actions related to domains registered for the tenant, and their verification status

Operations

Me

Actions listing information about the currently authenticated user

Operations

Policies

Actions related to IAM policies

Operations

Role

Actions related to Aritma ID roles

Operations

Scim

Actions related to SCIM tokens

Operations

Creates a SCIM token, must be connected to an SSO Provider

Request

The SCIM token secret will only be showed in the response of this endpoint, it will never be shown again, so be sure to copy it.

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
providerstringrequired
providerDisplayNamestringrequired
{ "provider": "string", "providerDisplayName": "string" }

Responses

OK

Body
idstringrequired
tokenstringrequired
providerstringrequired
providerDisplayNamestringrequired
Response
No response example

Lists all registered SCIM tokens

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Query
querystring
pageinteger(int32)
pageSizeinteger(int32)
No request payload

Responses

OK

Body
tokensArray of objects(ScimTokenDto)required
tokens[].​idstring(uuid)required
tokens[].​providerstringrequired
tokens[].​providerDisplayNamestringrequired
tokens[].​createdAtstring(date-time)required
totalCountinteger(int32)required
pageinteger(int32)required
pageSizeinteger(int32)required
Response
No response example

Deletes a SCIM token by id

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
idstring(uuid)required
No request payload

Responses

OK

Response
No content

Scope

Actions related to scopes in Aritma ID

Operations

SSO

Actions common for all SSO providers

Operations

SSO - Azure AD (Entra ID)

Actions relating to AzureAd as an SSO provider

Operations

SSO - Custom Providers

Actions relating to custom SSO providers

Operations

SSO - Google

Actions relating to Google as an SSO provider

Operations

SSO - Signicat

Actions relating to Signicat as an SSO provider

Operations

Subjects

Actions related to IAM subjects

Operations

User

Actions related to Aritma ID users

Operations